Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{project_id}
/
search
/
sources
Competitor Sources
curl --request GET \
  --url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/sources \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "domain": "<string>",
      "is_my_domain": true,
      "is_ranked": true,
      "is_citation": true,
      "engines": [],
      "visibility_score": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "total_results": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "presence_rate": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "presence_rate_occurrences": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "presence_rate_total": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "url": "<string>",
      "source_type": "<string>",
      "url_count": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "brand_mention_count": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "avg_ranking": {
        "value": 123,
        "prev_value": 123,
        "unit": "<string>"
      },
      "sentiment_score": 123,
      "sentiment_positive_pct": 123,
      "sentiment_negative_pct": 123,
      "sentiment_neutral_pct": 123
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required
workspace_id
string
required
project_id
string
required

Query Parameters

group_by
enum<string>
default:domain
Available options:
domain,
url
filter_type
enum<string>
default:all
Available options:
all,
source,
link
competitor_types
enum<string>[] | null
Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN
page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100
search_query
string | null
sort_column
enum<string>
Available options:
competitor_type,
domain,
url,
type,
engines,
visibility_score,
nb_urls,
nb_total_results,
nb_my_brand_mentions,
presence_rate,
avg_ranking,
sentiment_score,
keyword_text,
ranks
sort_direction
enum<string>
Available options:
asc,
desc
domain
string | null
date_start
string<date>
required

Start of the date range (YYYY-MM-DD)

date_end
string<date> | null

End of the date range (YYYY-MM-DD). Defaults to end of period containing date_start.

period
enum<string>
default:week

Aggregation period: day, week, month, or year

Available options:
day,
week,
month,
year
sources
enum<string>[] | null
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string<uuid>[] | null

Filter by a list of thematic IDs

keyword_type
enum<string>[] | null

Filter by a list of keyword types

Available options:
Generic,
Brand
funnel_stages
enum<string>[] | null

Filter by a list of Funnel Stages

Available options:
ToFu,
MoFu,
BoFu
persona_ids
string[] | null

Filter by a list of persona IDs

topic_ids
string[] | null

Filter by a list of topic IDs

get_neutrals
boolean | null

Filter by to get results related to neutral prompts, without weakness or strength

strength_ids
string[] | null

Filter by a list of strength IDs

weakness_ids
string[] | null

Filter by a list of weakness IDs

Response

Successful Response

data
CompetitorSource · object[]
required

Items for the current page.

pagination
Pagination · object
required

Pagination metadata.